com.amazonaws.services.codedeploy.model

## Class BatchGetDeploymentInstancesResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.codedeploy.model.BatchGetDeploymentInstancesResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class BatchGetDeploymentInstancesResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Represents the output of a batch get deployment instance operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BatchGetDeploymentInstancesResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BatchGetDeploymentInstancesResult` `clone()`
`boolean` `equals(Object obj)`
`String` `getErrorMessage()` Information about errors that may have occurred during the API call.
`List<InstanceSummary>` `getInstancesSummary()` Information about the instance.
`int` `hashCode()`
`void` `setErrorMessage(String errorMessage)` Information about errors that may have occurred during the API call.
`void` `setInstancesSummary(Collection<InstanceSummary> instancesSummary)` Information about the instance.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`BatchGetDeploymentInstancesResult` `withErrorMessage(String errorMessage)` Information about errors that may have occurred during the API call.
`BatchGetDeploymentInstancesResult` `withInstancesSummary(Collection<InstanceSummary> instancesSummary)` Information about the instance.
`BatchGetDeploymentInstancesResult` `withInstancesSummary(InstanceSummary... instancesSummary)` Information about the instance.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BatchGetDeploymentInstancesResult

    public BatchGetDeploymentInstancesResult()

### Method Detail

#### getInstancesSummary

    public List<InstanceSummary> getInstancesSummary()

Information about the instance.

Returns:
  Information about the instance.

#### setInstancesSummary

    public void setInstancesSummary(Collection<InstanceSummary> instancesSummary)

Information about the instance.

Parameters:
  `instancesSummary` - Information about the instance.

#### withInstancesSummary

    public BatchGetDeploymentInstancesResult withInstancesSummary(InstanceSummary... instancesSummary)

Information about the instance.

NOTE: This method appends the values to the existing list (if any). Use `setInstancesSummary(java.util.Collection)` or `withInstancesSummary(java.util.Collection)` if you want to override the existing values.

Parameters:
  `instancesSummary` - Information about the instance.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withInstancesSummary

    public BatchGetDeploymentInstancesResult withInstancesSummary(Collection<InstanceSummary> instancesSummary)

Information about the instance.

Parameters:
  `instancesSummary` - Information about the instance.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setErrorMessage

    public void setErrorMessage(String errorMessage)

Information about errors that may have occurred during the API call.

Parameters:
  `errorMessage` - Information about errors that may have occurred during the API call.

#### getErrorMessage

    public String getErrorMessage()

Information about errors that may have occurred during the API call.

Returns:
  Information about errors that may have occurred during the API call.

#### withErrorMessage

    public BatchGetDeploymentInstancesResult withErrorMessage(String errorMessage)

Information about errors that may have occurred during the API call.

Parameters:
  `errorMessage` - Information about errors that may have occurred during the API call.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public BatchGetDeploymentInstancesResult clone()

Overrides:
  `clone` in class `Object`